﻿using igUploadMVC.Models;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using System.IO;
using System;

namespace igUploadMVC.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/
        internal static void igUpload_FinishingUpload(object sender, UploadFinishingEventArgs e)
        {
            e.ServerMessage = "My Custom Error";
            e.Cancel = true;
        }

        internal static void igUpload_FileUploading(object sender, FileUploadingEventArgs e)
        {

        }

        internal static void igUpload_FinishedUpload(object sender, UploadFinishedEventArgs e)
        {

        }



        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                Customers = GetCustomers(),
                CustomerCountSummaries = GetCustomerCounts()
            };

            return View(viewModel);
        }

        private IEnumerable<CustomerCountSummary> GetCustomerCounts()
        {
            var customers = GetCustomers();
            var active = from c in customers
                         where c.IsActive
                         select c;

            var inActive = from c in customers
                           where (c.IsActive == false)
                           select c;

            return new List<CustomerCountSummary> { 
                new CustomerCountSummary { CategoryLabel = "Active", CustomerCount = active.Count() },
                new CustomerCountSummary { CategoryLabel = "Inactive", CustomerCount = inActive.Count() }
            };
        }

        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith", IsActive=true },
                new Customer { ID=2, Name="Bob Richards", IsActive=false },
                new Customer { ID=3, Name="Marge Wright", IsActive=false },
                new Customer { ID=4, Name="Dwight Long", IsActive=true },
                new Customer { ID=5, Name="Amy Grant", IsActive=true },
            };
        }
    }
}
